Subject: 23.1.50; CC-mode: Impossible to set c-cleanup-list

From: "Jan D." <[email-masked]>
Date: Fri, 10 Jul 2009 13:14:45 +0200

I customize c-cleanup-list.  This is then the full contents of my
.emacs:
(custom-set-variables
  ;; custom-set-variables was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 '(c-cleanup-list (quote (scope-operator space-before-funcall))))
(custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 )

I start emacs with --no-site-file, open a .c-file.
Check the value of c-cleanup-list:

c-cleanup-list is a variable defined in `cc-vars.el'.
Its value is (scope-operator)

Local in buffer xftfont.c; global value is 
(scope-operator space-before-funcall)

And indeed, space-before-funcall is not in effect.  It seems impossible to
set this variable.  I also tried setting c-old-style-variable-behavior to t,
but it made no difference.

The manual needs to explain how to set variables in a manner that works,
an example with lisp to add to .emacs would be nice also.

In GNU Emacs 23.1.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1)
 of 2009-07-10 on gaffa
Windowing system distributor `The X.Org Foundation', version 11.0.10600000
configured using `configure  '--prefix=/opt/emacs-cvs' '--verbose' '--enable-asserts' '--with-x-toolkit=gtk' 'CFLAGS=-g''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: sv_SE.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
C-h v c - c l e <tab> <return> C-x 1 <next> <next> 
<down-mouse-4> <mouse-4> <double-down-mouse-4> <double-mouse-4> 
<triple-down-mouse-4> <triple-mouse-4> <down-mouse-1> 
<mouse-1> s t a t i c SPC v o i d <return> f o o ( 
) <return> { <return> <tab> i n SPC <backspace> t SPC 
i SPC = S-SPC b a r ( ) ; <backspace> <backspace> a 
) ; C-a <up> <up> <up> C-_ C-_ C-_ C-_ C-_ C-_ C-_ 
C-_ C-_ C-_ C-_ C-_ C-_ C-_ C-_ C-_ C-_ C-_ C-_ C-_ 
C-_ C-x 1 M-x r e p o r t - e m <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Loading vc-cvs...done
Invalid image size (see `max-image-size') [30 times]
Type C-x 4 C-o RET to restore the other window, C-M-v to scroll help.
Undo! [20 times]
undo-more: No further undo information